Bug 519998 - Can't install at all on ThinkPad T23
Summary: Can't install at all on ThinkPad T23
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 22:30 UTC by Amadeus
Modified: 2018-04-11 19:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 04:04:05 UTC


Attachments (Terms of Use)

Description Amadeus 2009-08-27 22:30:57 UTC
Installing Fedora 12 alpha on IBM ThinkPad T23.

Copied the contents from the DVD to a Fedora 10, and NFS shared it.

On ThinkPad:

~# cp /tmp/nfs/isolinux/vmlinuz /
~# cp /tmp/nfs/isolinux/initrd.img /

rebooted ThinkPad and in GRUB I did:

grub> root (hd0,1)
grub> kernel /vmlinuz askmethod
grub> initrd /initrd.img
grub> boot

I enter the NFS server name and directory.

Anaconda loads, and I get black screen, and I can't CTRL-Alt-F1-12.

It is completely dead.

Comment 1 Amadeus 2009-08-27 22:32:31 UTC
The harddrive led flashes once in a while, but I can't even reset it. Forcing a power off is the only way.

Comment 2 Amadeus 2009-08-27 22:56:32 UTC
Just tried to placing the DVD files on a local hard disk partition, and the same happens.

Anaconda loads, flashes, black screen of death.

Comment 3 Chris Lumens 2009-08-28 13:53:00 UTC
There's at least two likely possibilities here:  a kernel bug, or an X bug.  What happens if you add xdriver=vesa as a boot argument?  What if you add text?  Note that we don't recommend text mode, but it's useful in narrowing down what could be the problem here.

Comment 4 Amadeus 2009-08-28 14:23:40 UTC
It works with xdriver=vesa. I get the graphical anaconda

With xdriver=text I get the text mode anaconda.

I.e. works in both cases.

Comment 5 Adam Williamson 2009-10-05 17:57:30 UTC
Can we get an 'lspci -nn' on the affected machine so we know what the graphics adapter is? You can run that command from any Linux distro, doesn't need to be the affected Fedora install.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Amadeus 2009-10-05 18:27:59 UTC
Sure. Fedora 11 is on it right now.

00:00.0 Host bridge [0600]: Intel Corporation 82830 830 Chipset Host Bridge [8086:3575] (rev 02)
00:01.0 PCI bridge [0604]: Intel Corporation 82830 830 Chipset AGP Bridge [8086:3576] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801CA/CAM USB Controller #1 [8086:2482] (rev 01)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801CA/CAM USB Controller #2 [8086:2484] (rev 01)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801CA/CAM USB Controller #3 [8086:2487] (rev 01)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 41)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801CAM ISA Bridge (LPC) [8086:248c] (rev 01)
00:1f.1 IDE interface [0101]: Intel Corporation 82801CAM IDE U100 Controller [8086:248a] (rev 01)
00:1f.3 SMBus [0c05]: Intel Corporation 82801CA/CAM SMBus Controller [8086:2483] (rev 01)
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801CA/CAM AC'97 Audio Controller [8086:2485] (rev 01)
01:00.0 VGA compatible controller [0300]: S3 Inc. SuperSavage IX/C SDR [5333:8c2e] (rev 05)
02:00.0 CardBus bridge [0607]: Texas Instruments PCI1420 PC card Cardbus Controller [104c:ac51]
02:00.1 CardBus bridge [0607]: Texas Instruments PCI1420 PC card Cardbus Controller [104c:ac51]
02:02.0 Communication controller [0780]: Agere Systems WinModem 56k [11c1:0449] (rev 01)
02:08.0 Ethernet controller [0200]: Intel Corporation 82801CAM (ICH3) PRO/100 VE (LOM) Ethernet Controller [8086:1031] (rev 41)

Comment 7 Adam Williamson 2009-10-05 18:37:55 UTC
oh, goody, it's something nutty:

01:00.0 VGA compatible controller [0300]: S3 Inc. SuperSavage IX/C SDR
[5333:8c2e] (rev 05)

sheesh. um, OK. If you have the installed F12, can you remove any /etc/X11/xorg.conf file you have, then try starting X? I expect it will fail. In which case, reboot to runlevel 3 and take a copy of /var/log/Xorg.0.log and attach it to this bug so we can see what's going wrong. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Amadeus 2009-10-05 18:54:28 UTC
I have F11 on it.

Can that be used to further debugging?

I use the computer at work, so I can't reinstall it.

Comment 9 Adam Williamson 2009-10-05 19:05:24 UTC
no, we can't tell why F12's X.org is crashing without...running F12's X.org :/

the alternative is to use a Rawhide live image to test with, and ssh in from another system to look at the logs, if you have another system to work with.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Amadeus 2009-10-05 19:12:18 UTC
I can do that later today.

Is this the live Rawhide you have in mind?

http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/

Comment 11 Matěj Cepl 2009-10-05 20:41:00 UTC
(In reply to comment #10)
> I can do that later today.
> 
> Is this the live Rawhide you have in mind?
> 
> http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/  

Yes, that's perfect.

Thanks

Comment 12 Adam Williamson 2009-10-05 23:37:24 UTC
the technique would be to ssh in from the other machine and run:

tail -f /var/log/Xorg.0.log

_then_, on the troublesome machine itself, try and start X, and then you can see what happens in the log on the ssh'ed-in machine.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Amadeus 2009-10-06 00:02:53 UTC
It works with desktop-i386-20091002.15.iso

Or I should say I get the desktop and everything, but does that also mean that it will work during the installation?

Comment 14 Adam Williamson 2009-10-06 04:04:05 UTC
yeah, if X works live it ought to work installed as well. Re-open if you hit any problems, though.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.